<?php

/*******************************************************************************

    Theme for PHP-Fusion V7.01
    Theme Name: 2Minimalistic
    Description: Very minimal design, to bring out the content on the page.
    
    Author: SimpleVision
    Version: 1.0
    Tags:  white,black,red,two-columns,fixed-width,960px.
    Modification: instructions are inside of README file.
    
    email: design@simplevision.dk
    site: http://simplevision.dk
    
    Copyright (c) 2010 SimpleVision.dk
    Licences: AGPLv3 
    
 ******************************************************************************/
 
/// Theme general
define("THEME_BULLET", "");

// Changes the hieght of the div#banner.
define("THEME_BANNER_HEIGHT", "95"); 
//Visibility of the banner: true - visible;  false - hidden; 
define("THEME_BANNER_VISIBILITY", true); 

// set content to "" in order to show logo.png
define("THEME_LOGO_TEXT", ""); 


if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";
require_once LOCALE.LOCALESET."search.php";
require_once LOCALE.LOCALESET."global.php";
function get_head_tags(){
}

function render_page($license=false) {
	global $aidlink, $locale, $settings, $main_style;
	
echo "
<div id='page'>
	<div class='wrapper'>
    <div id='sub-menu'>            
            <ul>";
            if(iMEMBER){
              echo "
              <li><a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a></li>
              <li><a href='".BASEDIR."messages.php'>".$locale['global_121']."</a></li>
              ".(iADMIN ? "<li><a href='".ADMIN."index.php".$aidlink."' >".$locale['global_123']."</a></li>" : "")."
              <li><a href='".BASEDIR."setuser.php?logout=yes'>".$locale['global_124']."</a></li>";
            }else{
              echo "
              <li><a href='".BASEDIR."login.php'>".$locale['global_104']."</a></li>
              ".($settings['enable_registration'] ? "
              <li><a href='".BASEDIR."register.php'>".$locale['global_107']."</a></li>" : "");
            }
            echo "
            </ul>      
     </div><div>

      		<div  class='logo' ".(THEME_LOGO_TEXT == "" ?">":"style='background:#222;'>".THEME_LOGO_TEXT)."</div>
		<div id='header'>
     <div id='menu'>".
          preg_replace("^(li)( class='(first-link)')*(><a href='(\.\./)*".preg_quote(START_PAGE)."')^i", "\\1 class='active \\3'\\4", showsublinks(""))."        
     </div>

      ";
      render_search();
      
      echo "
		</div></div>
		<div id='banner' style='height:".THEME_BANNER_HEIGHT."px;display:".(THEME_BANNER_VISIBILITY?"block":"none")."'>
      ".showbanners()."
      
      </div>
		<div class='content'>
      <div id='main'>".
							U_CENTER.
							CONTENT.
							L_CENTER."
      </div>
						".(LEFT ? "<div id='side'>".LEFT.RIGHT."</div>" : "")."</div>	
	<div id='footer'>	
	<div class='right'><ul><li>".showcounter()."</li>	
		<li>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</li></ul></div>
		".(!$license ? "<div>".showcopyright()."<br />\n Theme <b>2Minimalistic</b> designed by <a href='http://simplevision.dk' lang='da'>simplevision</a></div>" : "").stripslashes($settings['footer'])."
	</div></div></div>
<script type='text/javascript' src='".THEME."js/2minimalistic.js' ></script>
<script type='text/javascript'>
$().ready(function() {  
   $('body').MakeFusion({
   thumbsPerRow:".$settings['thumbs_per_row']."
   });  
  });
</script>
	";

}

function render_news($subject, $news, $info) {

	global $locale;
	
	opentable($subject);
	echo "<div class='item'>	".$news."</div>
	<div class='item-footer'>
		".newsposter($info," &middot;").newsopts($info," &middot;").itemoptions("N",$info['news_id'])."</div>";
	closetable();
}

function render_article($subject, $article, $info) {

	global $locale;
		
	opentable($subject);
	echo "<div class='item'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>
	<div class='item-footer'>
		".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']).
	"</div>\n";
	closetable();
}


function opentable($title) {

	global $locale;
	
	$fileName=basename(FUSION_SELF, ".php");
	$id = array_search($title, $locale);
	$id = (!empty($id)? $id : ereg_replace("[^A-Za-z0-9]", "", $title));
	$css= $fileName." css".$id;
	
	echo "\n
	<div id='{$id}' class='panelbody $css'>".(!empty($title) ? "<h2 class='panelcap'>$title </h2>" : "")."\n";

}

function closetable() {

	echo "\t</div>\n";

}

$panel_collapse = false;
function openside($title, $collapse = false, $state = "on") {
	
	static $box_id = 0; $box_id++;
	global $panel_collapse, $p_data; $panel_collapse = $collapse;
	
	if($p_data['panel_filename'] == "css_navigation_panel") $title = "";
	
	opentable(($collapse ? panelbutton($state,$box_id) : "").$title);
	echo ($collapse ? panelstate($state, $box_id) : "");
}

function closeside() {

	global $panel_collapse, $p_data;
	
	echo ($panel_collapse ? "\t</div>" : "");
	closetable();


}


function render_search() {
	global $locale;
	
		
$sTypes = array(	
/// Search Localization
/// You can change the order, hide and the representative values of search parameters by editing the values of the named columns below.
    1 => array('key' =>  'all',       'value' =>  'Entire Site' , 'hide' => false),
    2 => array('key' =>  'members',   'value' =>  'Users'       , 'hide' => false),
    3 => array('key' =>  'forums',    'value' =>  'Forum'       , 'hide' => false),
    4 => array('key' =>  'news',      'value' =>  'News'        , 'hide' => false),
    5 => array('key' =>  'articles',  'value' =>  'Articles'    , 'hide' => true),
    6 => array('key' =>  'downloads', 'value' =>  'Downloads'   , 'hide' => false),
    7 => array('key' =>  'photos',    'value' =>  'Photos'      , 'hide' => false)
);


	$selectedType = (isset($_GET['stype']) ? $_GET['stype'] : "{$sTypes[1]['key']}" );
	$query = (isset($_GET['stext']) ? urldecode($_GET['stext']) : "" );
	
	foreach($sTypes as $item){
    if($item['key']==$selectedType)
    {$selectedType = $item['value'];$item['key'];}
	}	

		
echo "<div id='search'>
  <form id='simplesearch' name='searchform' method='get' action='/search.php'> 
    <input type='hidden' value='all' name='stype' id='searchtype' />
    
    <input type='text' name='stext' value='{$query}' class='textbox' style='width:400px' /> 
    
    <a id='search_drop_menu'>{$selectedType}  &#x25BC;</a>
    
    <input type='submit' name='".(isset($locale['402']) ? $locale['402']: "Search" )."' value='Search' class='button' /> 
    
    <ul class='the_menu'>";
    
      for ( $param = 1; $param <= count($sTypes); $param++ )
      {
        if(!$sTypes[$param]['hide']){
         echo"<li><label title='{$sTypes[$param]['key']}'>{$sTypes[$param]['value']}</label></li>";}
        }
        
      echo "
      
    </ul>
  </form>
</div>";
}
?>
